Bug 630869 (CVE-2010-3069) - CVE-2010-3069 Samba: Stack-based buffer overflow by processing specially-crafted SID records
Summary: CVE-2010-3069 Samba: Stack-based buffer overflow by processing specially-craf...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3069
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 632223 632224 632225 632226 632227 632228 632229 632230 632231 632232 632264 632265
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-07 08:44 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:39 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-30 18:46:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0697 normal SHIPPED_LIVE Critical: samba security and bug fix update 2010-09-14 21:43:00 UTC
Red Hat Product Errata RHSA-2010:0698 normal SHIPPED_LIVE Critical: samba3x security update 2010-09-14 22:04:24 UTC
Red Hat Product Errata RHSA-2010:0860 normal SHIPPED_LIVE Critical: samba security update 2010-11-09 19:05:43 UTC

Description Jan Lieskovsky 2010-09-07 08:44:44 UTC
An array indexing error, leading to stack-based buffer overflow was found
in the way Samba suite processed Security Identifiers (SIDs) with
specially-crafted value of certain field. A remote, unauntenticated user
could prepare and send a specially-crafted SID record during the
subject identification phase, leading to denial of service
(smbd daemon crash) or, potentially, arbitrary code execution
with the privileges of the user running the smbd server.

Comment 4 Jan Lieskovsky 2010-09-07 09:15:10 UTC
This issue affects the versions of the samba package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

This issue affects the version of the samba3x package, as shipped
with Red Hat Enterprise Linux 5.

--

This issue affects the versions of the samba package, as shipped
with Fedora release of 12 and 13.

Comment 6 Jan Lieskovsky 2010-09-07 15:50:34 UTC
The CVE identifier of CVE-2010-3069 has been assigned to this issue.

Comment 15 Tomas Hoger 2010-09-14 11:18:35 UTC
Public now via:
  http://samba.org/samba/security/CVE-2010-3069.html

Comment 26 errata-xmlrpc 2010-09-14 21:43:16 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 4.7 Z Stream
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 5.3.Z - Server Only
  Red Hat Enterprise Linux 5.4.Z - Server Only

Via RHSA-2010:0697 https://rhn.redhat.com/errata/RHSA-2010-0697.html

Comment 27 errata-xmlrpc 2010-09-14 22:04:29 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0698 https://rhn.redhat.com/errata/RHSA-2010-0698.html

Comment 28 errata-xmlrpc 2010-11-10 18:59:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0860 https://rhn.redhat.com/errata/RHSA-2010-0860.html


Note You need to log in before you can comment on or make changes to this bug.